
Katello - Bug #6867

Web interface should warn if system doesn't have katello-agent installed

07/31/2014 12:18 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1038323 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/451

5

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1038323

We depend on the installation of the katello-agent RPM on the client systems to detect applicable errata and management of the

remote systems.

We should have some indication in the user interface (CLI too) that a system is missing the katello-agent package and explain the

consequences.

Other vendors offer similar functionality when managed systems lack required tooling.

Associated revisions

Revision ada1a0e8 - 08/05/2014 09:54 AM - David Davis

Fixes #6867 - Show system katello-agent installed

Revision 862c9724 - 08/07/2014 07:26 AM - David Davis

Refs #6867,BZ1038323 - Show katello-agent status for systems

Revision bb7ae81b - 08/07/2014 07:26 AM - David Davis

Refs #6867,BZ1038323 - Show katello-agent status for systems

Revision a0e3c722 - 08/13/2014 10:50 AM - David Davis

Merge pull request #4515 from daviddavis/temp/20140731151434

Refs #6867,BZ1038323 - Show katello-agent status for systems

Revision a63cec82 - 08/13/2014 10:50 AM - David Davis

Merge pull request #4515 from daviddavis/temp/20140731151434

Refs #6867,BZ1038323 - Show katello-agent status for systems

Revision 7ca15103 - 08/13/2014 05:27 PM - David Davis

Merge pull request #211 from daviddavis/temp/20140731151456

Fixes #6867 - Show system katello-agent installed

History

#1 - 07/31/2014 03:14 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4515 added

- Pull request deleted ()
#2 - 08/01/2014 04:27 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/13/2014 06:01 PM - David Davis

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|ada1a0e895a86ee3d8e947e7aa7d55673849bd8b.

#4 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13

Powered by TCPDF (www.tcpdf.org)

05/18/2024 2/2

https://projects.theforeman.org/projects/katello/repository/hammer-cli-katello/revisions/ada1a0e895a86ee3d8e947e7aa7d55673849bd8b
http://www.tcpdf.org

